Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2045708 - httpdump: FTBFS in Fedora rawhide/f36
Summary: httpdump: FTBFS in Fedora rawhide/f36
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: Fedora
Classification: Fedora
Component: httpdump
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-25 18:25 UTC by Fedora Release Engineering
Modified: 2023-08-14 12:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-01-25 18:25 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-01-25 18:25 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-01-25 18:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-25 18:25:40 UTC
httpdump failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81785892


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix httpdump at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
httpdump will be orphaned. Before branching of Fedora 37,
httpdump will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-25 18:25:42 UTC
Created attachment 1854971 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-01-25 18:25:44 UTC
Created attachment 1854972 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-25 18:25:46 UTC
Created attachment 1854973 [details]
state.log

Comment 4 Ben Cotton 2022-02-08 20:48:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 5 Michal Ambroz 2023-01-21 15:31:45 UTC
Hello,
I have raised the pull request https://src.fedoraproject.org/rpms/httpdump/pull-request/1
It bumps to current version to fix the FTBFS.

Successfull koji scratch build here - https://koji.fedoraproject.org/koji/taskinfo?taskID=96488534
I offer help with the package if needed.

Best regards
Michal Ambroz

Comment 6 Michal Ambroz 2023-01-26 10:26:40 UTC
Seems that FAB already merged the code and built the packages for f36,f37,f38.
Now available it updates-testing for f36,f37.
Not propagated to f38 yet, probably due to the ongoing work on f38 rebuild/fork.

Comment 7 Ben Cotton 2023-02-07 15:14:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.


Note You need to log in before you can comment on or make changes to this bug.